Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.mbeans
Class ContextResourceLinkMBean

    java.lang.Object
      |
      +--org.apache.commons.modeler.BaseModelMBean
            |
            +--org.apache.catalina.mbeans.ContextResourceLinkMBean

All Implemented Interfaces:
  javax.management.DynamicMBean, javax.management.modelmbean.ModelMBean, javax.management.modelmbean.ModelMBeanNotificationBroadcaster, javax.management.NotificationBroadcaster, javax.management.PersistentMBean

public class ContextResourceLinkMBean
extends org.apache.commons.modeler.BaseModelMBean

A ModelMBean implementation for the `org.apache.catalina.deploy.ContextResourceLink` component.

Version:
  $Revision: 1.1 $ $Date: 2002/06/24 21:11:42 $
Author:
  Amy Roh

Field Summary

Fields inherited from class org.apache.commons.modeler.BaseModelMBean
`attributeBroadcaster, generalBroadcaster, info, resource`

Constructor Summary
`ContextResourceLinkMBean()` Construct a `ModelMBean` with default `ModelMBeanInfo` information.

Method Summary
`void` | `setAttribute(javax.management.Attribute attribute)` Set the value of a specific attribute of this MBean.

Methods inherited from class org.apache.commons.modeler.BaseModelMBean
`addAttributeChangeNotificationListener, addNotificationListener, createDefaultModelMBeanInfo, getAttribute, getAttributes, getManagedResource, getMBeanInfo, getNotificationInfo, invoke, isModelMBeanInfoValid, load, removeAttributeChangeNotificationListener, removeAttributeChangeNotificationListener, removeNotificationListener, removeNotificationListener, removeNotificationListener, sendAttributeChangeNotification, sendAttributeChangeNotification, sendNotification, sendNotification, setAttributes, setManagedResource, setModelMBeanInfo, store`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContextResourceLinkMBean

    public ContextResourceLinkMBean()
                             throws javax.management.MBeanException,
                                    javax.management.RuntimeOperationsException

  Construct a `ModelMBean` with default `ModelMBeanInfo` information.

Throws:
  `javax.management.MBeanException` - if the initializer of an object throws an exception
  `javax.management.RuntimeOperationsException` - if an IllegalArgumentException occurs

Method Detail

### setAttribute

    public void setAttribute(javax.management.Attribute attribute)
                      throws javax.management.AttributeNotFoundException,
                             javax.management.MBeanException,
                             javax.management.ReflectionException

  Set the value of a specific attribute of this MBean.

  Specified by:
    `setAttribute` in interface `javax.management.DynamicMBean`
  Overrides:
    `setAttribute` in class `org.apache.commons.modeler.BaseModelMBean`
  Parameters:
    `attribute` - The identification of the attribute to be set and the new value
  Throws:
    `javax.management.AttributeNotFoundException` - if this attribute is not supported by this MBean
    `javax.management.MBeanException` - if the initializer of an object throws an exception
    `javax.management.ReflectionException` - if a Java reflection exception occurs when invoking the getter

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.